#
# Copyright (c) 2013-2023 NIBIO.
#
# This file is part of VIPSWeb 
# (see https://gitlab.nibio.no/VIPS/VIPSWeb).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#
from django import template

register = template.Library()

"""
Enables lookup in templates
"""
@register.filter(name='lookup')
def cut(value, arg):
    return value.get(arg,"")

"""
Enables float arithmetics in templates
"""
@register.filter(name="addfloat")
def addfloat(value, arg):
    try:
        return float(value) + float(arg)
    except ValueError:
        print (value)
        return float(arg)

@register.filter(name="distanceto")
def distanceto(valuePOI, argPOI):
    return valuePOI.distance_to(argPOI)

@register.filter(name="result_parameter_local_name")
def get_result_parameter_local_name(result_parameter_local_set, language_code):
    return result_parameter_local_set.get_local_name(language_code)

